Finnish language-addon for firefox not working in 1:10.04+20110204.1

Bug #720273 reported by Tuomo Kallio-Kokko on 2011-02-16
34
This bug affects 5 people
Affects Status Importance Assigned to Milestone
Ubuntu Translations
High
Unassigned
po2xpi
Undecided
Martin Pitt
language-pack-fi-base (Ubuntu)
Undecided
Unassigned
Lucid
High
Martin Pitt

Bug Description

Binary package hint: language-pack-fi-base

Finnish language-addon for firefox doesn't seem to work when installing language-pack-fi-base_1%3a10.04+20110204.1_all -package from lucid-updates. language-addon doesn't appear to language-addons list and menus stay in english even if i change LANG to fi_FI.UTF-8. I tested and confirmed this behaviour in two different computers. Addon seems work ok if i update already installed language-pack-fi-base_1%3a10.04+20100421_all -package to this new one.
also addon works well if i install language-pack-fi-base_1%3a10.04+20100421_all from main-repository.

Juha Erkkilä (juha-erkkila) wrote :

With the updated language-pack-fi-base package, the Firefox language extention pack does not install itself correctly due to wrong id in install.rdf. Thus new Firefox profiles do not work with finnish locale, but pick english instead.

Attached is patch to fix this issue.

tags: added: patch
David Planella (dpm) on 2011-05-10
Changed in ubuntu-translations:
status: New → Triaged
importance: Undecided → High
Martin Pitt (pitti) wrote :

Is that only an issue in lucid, or also in maverick/natty/oneriric?

Changed in language-pack-fi-base (Ubuntu):
status: New → Incomplete
Changed in language-pack-fi-base (Ubuntu Lucid):
assignee: nobody → Martin Pitt (pitti)
importance: Undecided → High
status: New → In Progress
Changed in po2xpi:
assignee: nobody → Martin Pitt (pitti)
status: New → In Progress
Martin Pitt (pitti) wrote :

I applied Juha's patch to fi.xpi in po2xpi, sent a merge request to Chris to merge into po2xpi.

Changed in po2xpi:
status: In Progress → Fix Committed

Accepted language-pack-fi-base into lucid-proposed, the package will build now and be available in a few hours. Please test and give feedback here. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Thank you in advance!

Changed in language-pack-fi-base (Ubuntu Lucid):
status: In Progress → Fix Committed
tags: added: verification-needed
Martin Pitt (pitti) wrote :

Accepted language-pack-fi into lucid-proposed, the package will build now and be available in a few hours. Please test and give feedback here. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Thank you in advance!

Juha Erkkilä (juha-erkkila) wrote :

The fix in lucid-proposed is broken, it does not fix the issue. The change should be "<email address hidden>" to "<email address hidden>", but the package language-pack-fi-base (1:10.04+20110204.2) contains the change "<email address hidden>" to "langpack-fi@@firefox-3.6.ubuntu.com". That is double "@", should be just one.

Martin Pitt (pitti) wrote :

Argh, sorry for that. I uploaded 1:10.04+20110204.3 to fix that.

Juha Erkkilä (juha-erkkila) wrote :

The 1:10.04+20110204.3 revision is fine. Thanks!

Martin Pitt (pitti) wrote :

Thanks for testing! Do you know whether its also broken on 10.10/11.04?

tags: added: verification-done
removed: verification-needed
Juha Erkkilä (juha-erkkila) wrote :

I don't know if this is broken in other Ubuntu versions.

Timo Jyrinki (timo-jyrinki) wrote :

Ubuntu 10.10 and 11.04 are fine. 10.10 language-pack-fi already has "<email address hidden>" in the install.rdf.

Martin Pitt (pitti) on 2011-05-13
Changed in language-pack-fi-base (Ubuntu):
status: Incomplete → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package language-pack-fi-base - 1:10.04+20110204.3

---------------
language-pack-fi-base (1:10.04+20110204.3) lucid-proposed; urgency=low

  * Fix install.rdf harder. (LP: #720273)

language-pack-fi-base (1:10.04+20110204.2) lucid-proposed; urgency=low

  * Fix install.rdf in Firefox translations, thanks Juha Erkkilä!
    (LP: #720273)
 -- Martin Pitt <email address hidden> Thu, 12 May 2011 10:02:49 +0200

Changed in language-pack-fi-base (Ubuntu Lucid):
status: Fix Committed → Fix Released
Martin Pitt (pitti) on 2011-05-23
Changed in po2xpi:
status: Fix Committed → Fix Released
Changed in ubuntu-translations:
status: Triaged → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers